Distribution:   CCux Linux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		dvdauthor
Version:	0.7.0
Release:	1
License:	GNU/GPL 
URL:		http://dvdauthor.sourceforge.net/
Group:		Video
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Summary:	dvdauthor is a simple set of tools to help with authoring a DVD.

BuildRequires:	libdvdread-devel
BuildRequires:  libdvdread
BuildRequires:  libdvdnav-devel
BuildRequires:  libdvdnav

#Automatically resolved build dependencies
BuildRequires: bzip2-devel
BuildRequires: fftw-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: ImageMagick-devel
BuildRequires: lcms-devel
BuildRequires: libgomp
BuildRequires: libICE-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libSM-devel
BuildRequires: libtiff-devel
BuildRequires: libtool-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libxml2-devel
BuildRequires: libXt-devel
BuildRequires: zlib-devel

%description
dvdauthor is a simple set of tools to help with authoring a DVD.
For more details see: http://dvdauthor.sourceforge.net/

%prep
%setup -q -n %{name}

%build
./configure \
--prefix=%_prefix \
--disable-dependency-tracking \
--mandir=%_mandir
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/dvdunauthor
%{_bindir}/dvdauthor
%{_bindir}/dvddirdel
%{_bindir}/mpeg2desc
%{_bindir}/spumux
%{_bindir}/spuunmux
%{_datadir}/dvdauthor
%{_mandir}/man1/dvdauthor.1.gz
%{_mandir}/man1/dvddirdel.1.gz
%{_mandir}/man1/dvdunauthor.1.gz
%{_mandir}/man1/mpeg2desc.1.gz
%{_mandir}/man1/spumux.1.gz
%{_mandir}/man1/spuunmux.1.gz


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Dec 19 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.7.0-1
- Version update
* Tue Jan 19 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.6.14-5
- rebuilt against libjpeg 7 
* Tue Sep 01 2009 Christian Metzen <metzench@ccux-linux.de> 0.6.14-4
- rebuilt against ImageMagick 6.5.4.8
* Tue Nov 11 2008 Christian Metzen <metzench@ccux-linux.de> 0.6.14-3
- rebuilt against libdvdread 4.1.3, libdvdnav 4.1.3
* Sat Mar 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.6.14-1
- rebuilt against ImageMagick 6.3.9.3
* Wed Oct 03 2007 Christian Metzen <metzench@ccux-linux.de> 0.6.14-1
- Version update
* Fri Jan 19 2007 Christian Wasem <wasem@ccux-linux.de> 0.6.13-1
- Version update
* Wed Jan 25 2006 Christian Metzen <metzench@ccux-linux.de> 0.6.11-4
- rebuild against newest ImageMagick version
* Mon Sep 12 2005 Christian Wasem <wasem@ccux-linux.de> 0.6.11-3
- rebuild for new Version of ImageMagick
* Sun Sep 04 2005 Christian Wasem <wasem@ccux-linux.de> 0.6.11-2
- rebuild for new ImageMagick
* Tue Apr 12 2005 Christian Wasem <wasem@ccux-linux.de> 0.6.11-1
- Update to Version 0.6.11
